/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - label-translate-application.model.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {MARK_AS_TRANSLATABLE} from "../core/utils/translate.util";

export interface LabelSolidifyApplication {
  applicationAboutInjectedName?: string;
  applicationAccessToken?: string;
  applicationAlreadyUsed?: string;
  applicationAppBackToOnline?: string;
  applicationAppOffline?: string;
  applicationBackToList?: string;
  applicationBackToAdmin?: string;
  applicationChangelog?: string;
  applicationChangeTime?: string;
  applicationCreate?: string;
  applicationCreated?: string;
  applicationCreatedBy?: string;
  applicationDelete?: string;
  applicationDescription?: string;
  applicationDetail?: string;
  applicationEdit?: string;
  applicationExitEditMode?: string;
  applicationExpiration?: string;
  applicationNavigateToChangelog?: string;
  applicationNavigateToReleaseNotes?: string;
  applicationSave?: string;
  applicationStatus?: string;
  applicationStatusHistoryDialogTitle?: string;
  applicationTokenDialogCopyToClipboard?: string;
  applicationTokenDialogTitle?: string;
  applicationTokenDialogTokenCopiedToClipboardFail?: string;
  applicationTokenDialogTokenCopiedToClipboardSuccess?: string;
  applicationUpdated?: string;
  applicationUpdatedBy?: string;
  applicationUser?: string;
  applicationYouAreInEditMode?: string;
}

export const labelSolidifyApplication: LabelSolidifyApplication = {
  applicationAboutInjectedName: MARK_AS_TRANSLATABLE("solidify.application.aboutInjectedName"),
  applicationAccessToken: MARK_AS_TRANSLATABLE("solidify.application.accessToken"),
  applicationAlreadyUsed: MARK_AS_TRANSLATABLE("solidify.application.alreadyUsed"),
  applicationAppBackToOnline: MARK_AS_TRANSLATABLE("solidify.application.appBackToOnline"),
  applicationAppOffline: MARK_AS_TRANSLATABLE("solidify.application.appOffline"),
  applicationBackToList: MARK_AS_TRANSLATABLE("solidify.application.backToList"),
  applicationBackToAdmin: MARK_AS_TRANSLATABLE("solidify.application.backToAdmin"),
  applicationChangelog: MARK_AS_TRANSLATABLE("solidify.application.changelog"),
  applicationChangeTime: MARK_AS_TRANSLATABLE("solidify.application.changeTime"),
  applicationCreate: MARK_AS_TRANSLATABLE("solidify.application.create"),
  applicationCreated: MARK_AS_TRANSLATABLE("solidify.application.created"),
  applicationCreatedBy: MARK_AS_TRANSLATABLE("solidify.application.createdBy"),
  applicationDelete: MARK_AS_TRANSLATABLE("solidify.application.delete"),
  applicationDescription: MARK_AS_TRANSLATABLE("solidify.application.description"),
  applicationDetail: MARK_AS_TRANSLATABLE("solidify.application.detail"),
  applicationEdit: MARK_AS_TRANSLATABLE("solidify.application.edit"),
  applicationExitEditMode: MARK_AS_TRANSLATABLE("solidify.application.exitEditMode"),
  applicationExpiration: MARK_AS_TRANSLATABLE("solidify.application.expiration"),
  applicationNavigateToChangelog: MARK_AS_TRANSLATABLE("solidify.application.navigateToChangelog"),
  applicationNavigateToReleaseNotes: MARK_AS_TRANSLATABLE("solidify.application.navigateToReleaseNotes"),
  applicationSave: MARK_AS_TRANSLATABLE("solidify.application.save"),
  applicationStatus: MARK_AS_TRANSLATABLE("solidify.application.status"),
  applicationStatusHistoryDialogTitle: MARK_AS_TRANSLATABLE("solidify.application.statusHistoryDialogTitle"),
  applicationTokenDialogCopyToClipboard: MARK_AS_TRANSLATABLE("solidify.application.tokenDialog.copyToClipboard"),
  applicationTokenDialogTitle: MARK_AS_TRANSLATABLE("solidify.application.tokenDialog.title"),
  applicationTokenDialogTokenCopiedToClipboardFail: MARK_AS_TRANSLATABLE("solidify.application.tokenDialog.copiedToClipboardFail"),
  applicationTokenDialogTokenCopiedToClipboardSuccess: MARK_AS_TRANSLATABLE("solidify.application.tokenDialog.copiedToClipboardSuccess"),
  applicationUpdated: MARK_AS_TRANSLATABLE("solidify.application.updated"),
  applicationUpdatedBy: MARK_AS_TRANSLATABLE("solidify.application.updatedBy"),
  applicationUser: MARK_AS_TRANSLATABLE("solidify.application.user"),
  applicationYouAreInEditMode: MARK_AS_TRANSLATABLE("solidify.application.youAreInEditMode"),
};
